# Google Analytics

We immediately send the following events.

### Page Visit

As soon as a user visits any of our offering pages, we send an event for the same.

### Add To Cart

As soon as a user starts a payment for any offering, we send the `add_to_cart` event with below parameters.

```
{
content_ids: window.location.pathname, //offering url
content_name: offering?.title, //offering title
content_type: "course", //offerinh type
currency: "INR",
value: offering?.price, //offering price in INR
num_items: 1,
}

```

### Payment Complete

Once a user completes payment for any offering, we send a `purchase` event with below parameters.

```
{
content_ids: window.location.pathname, //offering url
content_name: offering?.title, //offering title
content_type: "course", //offerinh type
currency: "INR",
value: offering?.price, //offering price in INR
num_items: 1,
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rigi.club/integrations/google-analytics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
